--[[
Spezialisierung die die aktuell eingestellte Baumstammlänge beim Harverster speichert.

Author:	Ifko[nator]
Datum:	02.08.2015

Version:	v1.0
History:	v1.0 - initial implementation
]]

WoodHarvesterSaveCuttingLength = {};

function WoodHarvesterSaveCuttingLength.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(WoodHarvester, specializations);
end;

function WoodHarvesterSaveCuttingLength:load(xmlFile)
end;

function WoodHarvesterSaveCuttingLength:delete()
end;

function WoodHarvesterSaveCuttingLength:mouseEvent(posX, posY, isDown, isUp, button)
end;

function WoodHarvesterSaveCuttingLength:keyEvent(unicode, sym, modifier, isDown)
end;

function WoodHarvesterSaveCuttingLength:update(dt)
end;


function WoodHarvesterSaveCuttingLength:draw()
end;

function WoodHarvesterSaveCuttingLength:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
	if not resetVehicles then
		local currentCutLength = Utils.getNoNil(getXMLFloat(xmlFile, key .. "#currentCutLength"), self.cutLengthMin);
		
		self.currentCutLength = currentCutLength;
	end;

	return BaseMission.VEHICLE_LOAD_OK;
end;

function WoodHarvesterSaveCuttingLength:getSaveAttributesAndNodes(nodeIdent)
    local attributes = 'currentCutLength="'.. tostring(self.currentCutLength) .. '"';

	return attributes, nil;
end;